* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #f9f9f9;
    color: #333;
    min-width: 100%;
}

.container {
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: 1fr;
    /*
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    */
    padding: 20px;
    min-height: 100vh;
    width: 100%; 
}

header {
    width: 100%;
    background-color: #333;
    color: white;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
}

header h1 {
    font-size: 2.5em;
}

main {
    margin: auto;
    width: 100%; 
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    margin-top: 20px;
}

.uvod, .zakljucak {
    grid-column: 1/4;
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: justify;
    font-size: 17px;
}

.naslov {
    grid-column: 1/4;
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: center;
    font-size: 17px;
}

.prvisadrzaj, .drugisadrzaj {
    display: grid;
    grid-column: 1/4;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
}

.box {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: justify;
    margin: 10px;
    width: 100%; 
    box-sizing: border-box;
}

.box h2 {
    font-size: 1.5em;
    margin-bottom: 10px;
}

.box p {
    font-size: 1.1em;
    color: #666;
}
footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 15px;
    margin-top: 10px;
    border-radius: 10px;
}

footer p {
    width: 100%;
    font-size: 1em;
}

@media (max-width: 768px) {
    header h1 {
        font-size: 2em;
    }

    .box {
        padding: 15px;
    }

    .uvod p {
        font-size: 1.1em;
    }

    .prvisadrzaj, .drugisadrzaj {
        grid-template-columns: 1fr; 
    }
}

@media (max-width: 480px) {
    header h1 {
        font-size: 1.5em;
    }

    .naslov {
        max-width: 100%;
    }

    .box {
        padding: 10px;
        max-width: 100%;  
    }

    .box h2, .box h3 {
        font-size: 1.2em;
    }

    .box p {
        font-size: 0.9em;
    }

    footer {
        font-size: 0.8em;
    }
}

